cURL
curl --request GET \ --url https://api.mulerun.com/vendors/klingai/v1/kling-v2.6/text-to-video/generation/{task_id} \ --header 'Authorization: Bearer <token>'
{ "videos": [ "https://mulerouter.muleusercontent.com/public/079c5ad5-3b81-4eee-af06-4d85029899d0/result_000.mp4" ], "task_info": { "id": "8e1e315e-b50d-4334-a231-be7d19a372f4", "status": "completed", "created_at": "2025-09-21T00:00:00.000Z", "updated_at": "2025-09-21T00:00:00.000Z" } }
pending
processing
completed
failed
videos
{ "task_info": { "id": "123e4567-e89b-12d3-a456-426614174000", "status": "completed", "created_at": "2025-01-15T10:30:00Z", "updated_at": "2025-01-15T10:33:00Z" }, "videos": [ "https://example.com/generated-video.mp4" ] }
{ "task_info": { "id": "123e4567-e89b-12d3-a456-426614174000", "status": "failed", "created_at": "2025-01-15T10:30:00Z", "updated_at": "2025-01-15T10:30:15Z", "error": { "code": 400, "title": "Invalid Request", "detail": "The prompt contains prohibited content" } } }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Task result
Show child attributes